Index: libnautilus-private/nautilus-program-choosing.c
===================================================================
RCS file: /cvs/gnome/nautilus/libnautilus-private/nautilus-program-choosing.c,v
retrieving revision 1.71
diff -u -p -r1.71 nautilus-program-choosing.c
--- libnautilus-private/nautilus-program-choosing.c	7 Apr 2004 17:22:26 -0000	1.71
+++ libnautilus-private/nautilus-program-choosing.c	15 Apr 2004 18:01:53 -0000
@@ -842,12 +842,16 @@ void nautilus_launch_show_file (Nautilus
 	if (uri == NULL) {
 		uri = nautilus_file_get_uri (file);
 	}
-		
+
+	g_print ("nautilus_launch_show_file - uri %s\n", uri);
+	
 	action = nautilus_mime_get_default_action_for_file (file);
 	
 	action_type = (action) ? action->action_type : 
 		                 GNOME_VFS_MIME_ACTION_TYPE_NONE;
 	
+	g_print ("nautilus_launch_show_file - get_default_action_for_file: %p, type %d\n", action, action_type);
+	
 	screen = gtk_window_get_screen (parent_window);
 	envp = my_gdk_spawn_make_environment_for_screen (screen, NULL);
 	
@@ -914,8 +918,10 @@ void nautilus_launch_show_file (Nautilus
 		sn_context = NULL;
 	}
 #endif /* HAVE_STARTUP_NOTIFICATION */
-	
+
+	g_print ("calling gnome_vfs_url_show_with_env(%s)\n", uri);
 	result = gnome_vfs_url_show_with_env (uri, envp);
+	g_print ("calling gnome_vfs_url_show_with_env() returned %d\n", result);
 
 #ifdef HAVE_STARTUP_NOTIFICATION
 	if (sn_context != NULL) {
@@ -971,7 +977,8 @@ void nautilus_launch_show_file (Nautilus
 		detail_message = g_strdup (_("There was an error launching the application."));		
 		break;
 	default:
-
+		g_print ("nautilus_file_get_file_info_result() -> %d\n",
+			 nautilus_file_get_file_info_result (file));
 		switch (nautilus_file_get_file_info_result (file)) {
 		case GNOME_VFS_ERROR_ACCESS_DENIED:
 			error_message = g_strdup_printf (_("Couldn't display \"%s\"."),
Index: src/file-manager/fm-directory-view.c
===================================================================
RCS file: /cvs/gnome/nautilus/src/file-manager/fm-directory-view.c,v
retrieving revision 1.619
diff -u -p -r1.619 fm-directory-view.c
--- src/file-manager/fm-directory-view.c	7 Apr 2004 03:45:21 -0000	1.619
+++ src/file-manager/fm-directory-view.c	15 Apr 2004 18:01:54 -0000
@@ -6010,6 +6010,8 @@ activate_callback (NautilusFile *file, g
 	ActivationAction action;
 	GdkScreen *screen;
 
+	g_print ("activate_callback\n");
+	
 	parameters = callback_data;
 
 	stop_activate (parameters);
@@ -6017,6 +6019,7 @@ activate_callback (NautilusFile *file, g
 	view = FM_DIRECTORY_VIEW (parameters->view);
 
 	if (!activate_check_mime_types (view, file)) {
+		g_print ("!activate_check_mime_types\n");
 		nautilus_file_unref (file);
 		g_free (parameters);
 		
@@ -6024,6 +6027,7 @@ activate_callback (NautilusFile *file, g
 	}
 
 	orig_uri = uri = nautilus_file_get_activation_uri (file);
+	g_print ("orig_uri = %s\n", orig_uri);
 
 	action = ACTIVATION_ACTION_DISPLAY;
 
@@ -6063,6 +6067,8 @@ activate_callback (NautilusFile *file, g
 		    action == ACTIVATION_ACTION_LAUNCH_IN_TERMINAL) {
 			quoted_path = g_shell_quote (executable_path);
 			name = nautilus_file_get_name (file);
+			g_print ("nautilus_launch_application_from_command %s\n",
+				 quoted_path);
 			nautilus_launch_application_from_command 
 						(screen, name, quoted_path, NULL,
 						 (action == ACTIVATION_ACTION_LAUNCH_IN_TERMINAL) /* use terminal */ );
@@ -6075,11 +6081,15 @@ activate_callback (NautilusFile *file, g
 
 	if (action == ACTIVATION_ACTION_DISPLAY) {
 		action_type = nautilus_mime_get_default_action_type_for_file (file);
+		g_print ("nautilus_mime_get_default_action_type_for_file -> %d\n",
+			 action_type);
 		if (action_type == GNOME_VFS_MIME_ACTION_TYPE_COMPONENT &&
 		    nautilus_mime_has_any_components_for_file (file) &&
 		    can_use_component_for_file (view, file)) {
+			g_print ("call open_location()\n");
 			open_location (view, uri, parameters->mode, parameters->flags);
 		} else {
+			g_print ("call nautilus_launch_show_file()\n");
 			nautilus_launch_show_file
 				(file, fm_directory_view_get_containing_window (view));
 			
@@ -6140,6 +6150,8 @@ activate_activation_uri_ready_callback (
 	NautilusFileAttributes attributes;
 	GnomeVFSDrive *drive;
 	char *uri;
+
+	g_print ("activate_activation_uri_ready_callback\n");
 	
 	parameters = callback_data;
 
@@ -6166,6 +6178,7 @@ activate_activation_uri_ready_callback (
 	 */
 	actual_file = NULL;
 	uri = nautilus_file_get_activation_uri (file);
+	g_print ("activation uri: %s\n", uri);
 	if (!(eel_str_has_prefix (uri, NAUTILUS_DESKTOP_COMMAND_SPECIFIER) ||
 	      eel_str_has_prefix (uri, NAUTILUS_COMMAND_SPECIFIER))) {
 		actual_file = nautilus_file_get (uri);
@@ -6186,6 +6199,7 @@ activate_activation_uri_ready_callback (
 	parameters->file = actual_file;
 	parameters->callback = activate_callback;
 
+	g_print ("nautilus_file_call_when_ready MINIMUM | FILE_TYPE | SLOW_MIME_TYPE | ACTIVATION_URI -> activate_callback ...\n");
 	nautilus_file_call_when_ready
 		(actual_file, attributes, activate_callback, parameters);
 }
@@ -6230,6 +6244,8 @@ fm_directory_view_activate_file (FMDirec
 	char *file_name;
 	char *timed_wait_prompt;
 
+	g_print ("fm_directory_view_activate_file()\n");
+	
 	g_return_if_fail (FM_IS_DIRECTORY_VIEW (view));
 	g_return_if_fail (NAUTILUS_IS_FILE (file));
 
@@ -6270,6 +6286,7 @@ fm_directory_view_activate_file (FMDirec
 
 	g_object_weak_ref (G_OBJECT (view), activate_weak_notify, parameters);
 
+	g_print ("nautilus_file_call_when_ready ACTIVATION_URI | VOLUMES -> activate_activation_uri_ready_callback\n");
 	nautilus_file_call_when_ready
 		(file, attributes, activate_activation_uri_ready_callback, parameters);
 }
